System.Design 2.0.0.0 System.Object To be added.

Used by control localization to read and write resources at design time.

- Constructor
  2.0.0.0
  To be added.

  Creates a new instance of the class.

- Method
  2.0.0.0
  System.Web.Compilation.IResourceProvider `` `` To be added.

  When overridden in a derived class, creates a global resource provider using the provided interface and resource class name.

  Either an or an .

  A reference to the design host. The name of the resource class.
- Method
  2.0.0.0
  System.Web.Compilation.IResourceProvider `` To be added.

  When overridden in a derived class, creates a local resource provider using the provided reference to the design host.

  An or a class derived from .

  A reference to the design host.
- Method
  2.0.0.0
  System.Web.UI.Design.IDesignTimeResourceWriter `` To be added.

  When overridden in a derived class, creates a local resource writer for using the provided reference to the design host.

  A local resource writer for using the provided reference to the design host.

  A reference to the design host.